<?php

/* PROGRAMAÇÃO BY: BINHO, FUNDADOR DA CTGAMES - TEAM SOFTWARES */

if($_GET["distribuir"] == true) {
$personagem = $_GET["dpontos_personagem"];
$forca = $_GET["dpontos_forca"];
$agilidade = $_GET["dpontos_agilidade"];
$vitalidade = $_GET["dpontos_vitalidade"];
$energia = $_GET["dpontos_energia"];
$ver_char = mssql_num_rows(mssql_query("select name from character where name='".$personagem."' and accountid='".$_SESSION["login"]."'"));
$on = mssql_fetch_row(mssql_query("select connectstat from memb_stat where memb___id='".$_SESSION["login"]."'"));
if($personagem == "" || $forca == "" || $agilidade == "" || $vitalidade == "" || $energia == "") {
	echo $bbcode->bbcode('<div class="box_conteudo">Preencha todos os campos</div>');
}
elseif($ver_char < 1) {
	echo $bbcode->bbcode('<div class="box_conteudo">Personagem inválido</div>');
}
elseif($on[0] > 0) {
	echo $bbcode->bbcode('<div class="box_conteudo">Necessário estar deslogado</div>');
}
else{
	$pega = mssql_fetch_row(mssql_query("select leveluppoint,strength,dexterity,vitality,energy from character where name='".$personagem."'"));
	$add = $forca+$agilidade+$vitalidade+$energia;
	if($pega[0] < $add) {
		exit($bbcode->bbcode('<div class="box_conteudo">Você não pode adicionar essa quantidade de pontos</div>'));
	}
	if($pega[1] + $forca > max_points) {
		exit($bbcode->bbcode('<div class="box_conteudo">Você não pode adicionar mais do que '.max_points.' em força</div>'));
	}
	if($pega[2] + $agilidade > max_points) {
		exit($bbcode->bbcode('<div class="box_conteudo">Você não pode adicionar mais do que '.max_points.' em agilidade</div>'));
	}
	if($pega[3] + $vitalidade > max_points) {
		exit($bbcode->bbcode('<div class="box_conteudo">Você não pode adicionar mais do que '.max_points.' em vitalidade</div>'));
	}
	if($pega[4] + $energia > max_points) {
		exit($bbcode->bbcode('<div class="box_conteudo">Você não pode adicionar mais do que '.max_points.' em energia</div>'));
	}
	if($forca < 0) {
		exit($bbcode->bbcode('<div class="box_conteudo">Você não pode adicionar pontos negativos em força</div>'));
	}
	if($agilidade < 0) {
		exit($bbcode->bbcode('<div class="box_conteudo">Você não pode adicionar pontos negativos em agilidade</div>'));
	}
	if($vitalidade < 0) {
		exit($bbcode->bbcode('<div class="box_conteudo">Você não pode adicionar pontos negativos em vitalidade</div>'));
	}
	if($energia < 0) {
		exit($bbcode->bbcode('<div class="box_conteudo">Você não pode adicionar pontos negativos em energia</div>'));
	}
	else{
		mssql_query("update character set leveluppoint=leveluppoint-'$add',strength=strength+'$forca',dexterity=dexterity+'$agilidade',vitality=vitality+'$vitalidade',energy=energy+'$energia' where name='".$personagem."'");
		echo $bbcode->bbcode('<div class="box_conteudo">Pontos adicionados com sucesso</div>');
	}
}
}

?>